Bug 208809 - No Support for Samsung ML-1740 Printer
No Support for Samsung ML-1740 Printer
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Reopened
Depends On:
Blocks: IEEE1284DeviceIDs FC6Update
  Show dependency treegraph
 
Reported: 2006-10-02 01:08 EDT by Don Mies
Modified: 2013-01-09 23:05 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.2-39.4.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 08:57:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/usr/share/foomatic/db/source/printer/Samsung-ML-1740.xml (1.56 KB, text/plain)
2007-01-22 07:18 EST, Tim Waugh
no flags Details
/usr/share/foomatic/db/source/driver/gdi.xml (5.04 KB, text/plain)
2007-01-22 07:19 EST, Tim Waugh
no flags Details

  None (edit)
Description Don Mies 2006-10-02 01:08:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.6) Gecko/20060808 Fedora/1.5.0.6-2.fc5 Firefox/1.5.0.6 pango-text

Description of problem:
When trying to configure my printer I get the following:

No match for USB device:
  mfr "Samsung"
  model "ML-1740"
  desc ""
  cmdset "GDI"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.


Version-Release number of selected component (if applicable):
kernel 2.6.17-1.2187_FC5

How reproducible:
Always


Steps to Reproduce:
1.Bring up the printer config GUI
2.Add a new printer (attached via USB) My printer is correctly detected.
3.Hit "apply" and the error occurs in the window that invoked the GUI.

Actual Results:
The above error message appears and the printer does not work.

Expected Results:
No error and a working printer.

Additional info:
I tried using a different driver such as the HP driver with the same result.
Comment 1 David Eisenstein 2006-10-28 02:21:12 EDT
I get the same message for my Samsung ML-1740 printer.  My hardware is
i386 (though the platform shouldn't matter).
Comment 2 David Eisenstein 2006-10-28 03:09:40 EDT
Hey Don --

I found that by:
  1) running 'printtool' as root, 
  2) selecting the Samsung print queue,
  3) pressing "Edit" button (opens "Edit a print queue" dialog box),
  4) selecting the tab "Printer Driver" in the "Edit a print queue" dialog box,
  5) then selecting Samsung ML-1710 as the printer driver,

I could get my Samsung ML-1740 printer to work okay.  I had had my ML-1740
working in Fedora Core 1, and I believe this was the solution I had adopted
there as well.

Don, why don't you give this a try, and let us know if it works for you too?
If so, then perhaps Tim Waugh could make Samsung-ML-1740.ppd file using the
contents of the ML-1710 one, and place it in fc5's foomatic to help others
with this problem.

Hope this helps.  -David
Comment 3 Tim Waugh 2006-11-13 05:18:44 EST
This should be fixed now in Fedora Core 6 plus the updates from updates-testing.
Comment 5 Fedora Update System 2007-01-17 11:27:15 EST
Fixed in update: foomatic-3.0.2-39.4.fc6
Comment 6 David Eisenstein 2007-01-21 00:20:55 EST
This bug was submitted for Fedora Core 5, not Fedora Core 6.  As such, the
solution proposed is not solving the problem originally submitted (before
FC6 even came out), though it's nice to have it solved for FC6 users.

Could this fix be easily be backported to FC5?  If so, there is no reason it 
cannot also be fixed for FC5.  Or have FC5's foomatic updated in a similar way
without issues?

Since community members are now supposed to start being able to contribute to
Core, would an offer be accepted from a community member to help get this 
backported or updated in FC5?  Like a submission of a .src.rpm or something?
Comment 7 Tim Waugh 2007-01-22 07:18:26 EST
Created attachment 146164 [details]
/usr/share/foomatic/db/source/printer/Samsung-ML-1740.xml
Comment 8 Tim Waugh 2007-01-22 07:19:25 EST
Created attachment 146165 [details]
/usr/share/foomatic/db/source/driver/gdi.xml

Please try installing these files in the indicated directories.  There will be
an existing gdi.xml that you need to overwrite.

Does this allow you to print?
Comment 9 David Eisenstein 2007-01-23 04:51:52 EST
I cannot access attachment 146164 [details] ...  "Access Denied" error page comes up.
Comment 10 Tim Waugh 2007-01-23 05:01:27 EST
Oops.. try now.
Comment 11 David Eisenstein 2007-01-28 09:03:54 EST
Okay, I imported the files you specified in comment #7 and comment #8 to the
locations you specified and then tried running printtool:

-----------------------------------------------
# printtool
No match for USB device:
  mfr "Samsung"
  model "ML-1740"
  desc ""
  cmdset "GDI"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.
-----------------------------------------------

Also, Samsung ML-1740 does not appear among the printers listed in the
printer driver tab of "Edit a print queue" dialog box.
Comment 12 Tim Waugh 2007-02-09 06:36:05 EST
Please run 'rm -f /var/cache/foomatic/*' and try again.

Note You need to log in before you can comment on or make changes to this bug.